package seminar
import scala.collection.mutable.Map

object MainProgram extends StatementParser {

  def run(result: Result[Statement]) = result match {
    case Success(statement, string) => statement.run(Map[String, Int]())
  }
  
  def main(args: Array[String]) {
    run(statement("begin write 1+2*3;write 5+2*3; end"))
    run(statement("begin x=1; write(x+1); end"))
    //   val program = "begin read k; read n; m = 1; while n-m do begin if m - m/k*k then skip; else write m; m = m + 1; end end"
    val program = "begin k = 3; n=34; m = 1; while n-m do begin if m - m/k*k then skip; else write m; m = m + 1; end end"
    run(statement(program))
  }
}