package seminar

object ExprTest extends ExprParser {

  def main(args: Array[String]): Unit = {
    println((digit*)("123abc"))
    println(digit("abc123"))
    println(digit("123"))
    println((digit | char)("abc123"))
    println(alphanum("123abc"))
    println((char ~ char)("123abc"))
    println(char.map(c => c - 53)("123"))
    val s: Parser[(Char, Char)] = char ~ char
    val f = (pair: (Char, Char)) => pair _1
    val s1 = (char ~ char) map ((pair: (Char, Char)) => pair _1)
    println(s1("abc"))
    println(digit * ("123abc"))
    println(letters("abc def"))
    println(letters("123def"))
    println(word("abc def"))
    println(accept("while")("while(true)"))
    println(integerp(1)("23 abc"))
    println(integer("123abc"))
    println(Mul(Number(2), Number(3)))
    println(variable("abc123"))
    println(number("123abc"))
    println(factor("(abc)"))
    println(term("x*2"))
    println(expr("(2-y)"))
    println(expr("(2-y)"))
    println(expr("(1+(2-(y)))"))
    println(expr("1 + ( 2 * ( z + y ) - y ) "))
    def variable = (letter*) acceptIf (_.length > 0) map (_.mkString) map (Variable)
    println(variable("abc"))
    def second = (char ~ char) map {case (c1, c2) => c2}
    println(second("abc"))

  }
}